Subject: Re: [PATCH] Hotplug for openfirmware/macio devices

From: Jeff Mahoney <[email-masked]>
Date: Thu, 16 Sep 2004 17:09:50 -0400

Jeff Mahoney wrote:
|
| Hey all -
|
| Many devices on the macintosh hardware platform are hidden behind a
| macio asic that places devices beyond the PCI bus for hotplug. Loading
| the driver manually works fine, but we have this wonderful hotplug
| system now. Why should macio be a second class citizen?
|
| At least for me, the most noticable one was my airport card, but there
| may be others. I only have an ibook and a powermac.
|
| Attached are three patches, which do the following:
| * kernel-of-hotplug.diff; against 2.6.9-rc2 (mainline)

| Take a look if you're interested. My familiarity with the PPC world is
| peripheral at best. I'd love feedback.

As a quick note, it's been pointed out to me that some of the drivers
won't compile as is.

I only compile tested with the drivers I use, so stuff slipped by. I'll
have an updated kernel patch in a little bit.

- -Jeff

- --
Jeff Mahoney
SuSE Labs